Skip to main content
POST
/
admin
/
providers
/
bulk-configure
Bulk Configure Providers
curl --request POST \
  --url https://api.example.com/admin/providers/bulk-configure \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "name": "<string>",
    "url": "<string>",
    "api_key": "<string>",
    "enabled": true,
    "priority": 1,
    "timeout_seconds": 30,
    "metadata": {}
  }
]
'
import requests

url = "https://api.example.com/admin/providers/bulk-configure"

payload = [
{
"name": "<string>",
"url": "<string>",
"api_key": "<string>",
"enabled": True,
"priority": 1,
"timeout_seconds": 30,
"metadata": {}
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
name: '<string>',
url: '<string>',
api_key: '<string>',
enabled: true,
priority: 1,
timeout_seconds: 30,
metadata: {}
}
])
};

fetch('https://api.example.com/admin/providers/bulk-configure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
Required string length: 1 - 255
service_type
enum<string>
required

Service type enumeration.

Available options:
asr,
tts,
mt,
llm
url
string
required
Required string length: 1 - 500
api_key
string
required
Minimum string length: 1
enabled
boolean
default:true
priority
integer
default:1
Required range: 1 <= x <= 10
timeout_seconds
integer
default:30
Required range: 5 <= x <= 120
metadata
Metadata · object | null

Response

Successful Response